Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Interface ConnectionRequestInfo

public interface ConnectionRequestInfo

The ConnectionRequestInfo interface enables a resource adapter to pass its own request specific data structure across the connection request flow. A resource adapter extends the empty interface to supports its own data structures for connection request.

A typical use allows a resource adapter to handle application component specified per-connection request properties (example - client ID, language). The application server passes these properties back across to match/createManagedConnection calls on the resource adapter. These properties remain opaque to the application server during the connection request flow.

Once the ConnectionRequestInfo reaches match/createManagedConnection methods on the ManagedConnectionFactory instance, resource adapter uses this additional per-request information to do connection creation and matching.

Version:
  0.8
Author:
  Rahul Sharma
See Also:
  `ManagedConnectionFactory`, `ManagedConnection`

Method Summary
`boolean` | `equals(java.lang.Object other)` Checks whether this instance is equal to another.
`int` | `hashCode()` Returns the hashCode of the ConnectionRequestInfo.

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Checks whether this instance is equal to another. Since connectionRequestInfo is defined specific to a resource adapter, the resource adapter is required to implement this method. The conditions for equality are specific to the resource adapter.

  Returns:
    True if the two instances are equal.

### hashCode

    public int hashCode()

  Returns the hashCode of the ConnectionRequestInfo.

  Returns:
    hash code os this instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.